#!/usr/bin/env python2
# This is the setup script for the pyShottab utility.
#
# Dave LeBlanc, November 2002.

import sys
assert sys.version >= '2', "Install Python 2.2 or greater"
from distutils.core import setup

# If py2exe not available (on unix) simply ignore it.
try:
    import py2exe
except ImportError:
    pass

# Tell py2exe to include the unicode encodings (needed for unicode wxWindows)
# (this is the same as running:
#   "python setup.py py2exe --windows --packages encodings")
sys.argv.append("--packages")
sys.argv.append("encodings")

setup(name="pyShottab",
            version="1.0",
            description="Shot Table Conversion Program",
            author="Dave LeBlanc",
            author_email="dleblanc@cs.dal.ca",
            scripts=["shotCreate.py"]
     )


# Make shotGui a windows application (not a console app)
sys.argv.append("--windows")

setup(name="pyShottab",
            version="1.0",
            description="Shot Table Conversion Program",
            author="Dave LeBlanc",
            author_email="dleblanc@cs.dal.ca",
            scripts=["shotGui.py"],
            data_files=["w9xpopen.exe"]
     )
